For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
      • GETGet Embedded Sign URL
      • POSTGet Embedded Template Edit URL
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceEmbedded

Get Embedded Template Edit URL

||View as Markdown|
POST
https://api.hellosign.com/v3/embedded/edit_url/:template_id
POST
/v3/embedded/edit_url/:template_id
$curl -X POST 'https://api.hellosign.com/v3/embedded/edit_url/{template_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'cc_roles[0]=' \
> -F 'merge_fields=[]'
1{
2 "embedded": {
3 "edit_url": "https://app.hellosign.com/editor/embeddedTemplate?token=70ca8e5779c9a931125db09f3170efc1&root_snapshot_guids[]=a97ce534aec6cbe09e70cdd55112e31bd320ed00&edited_template_guid=61a832ff0d8423f91d503e76bfbcc750f7417c78&guid=56ecaf0659aa29215d2ee489c0c88ff8c9496099&force_signer_input=1",
4 "expires_at": 1634313821
5 }
6}
Retrieves an embedded object containing a template url that can be opened in an iFrame. Note that only templates created via the embedded template process are available to be edited with this endpoint.
Was this page helpful?
Previous

Get Embedded Sign URL

Next

API App

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired
The id of the template to edit.

Request

This endpoint expects an object.
allow_edit_ccsbooleanOptionalDefaults to false

This allows the requester to enable/disable to add or change CC roles when editing the template.

cc_roleslist of stringsOptional
The CC roles that must be assigned when using the template to send a signature request. To remove all CC roles, pass in a single role with no name. For use in a POST request.
editor_optionsobjectOptional
This allows the requester to specify editor options when a preparing a document
force_signer_rolesbooleanOptionalDefaults to false

Provide users the ability to review/edit the template signer roles.

force_subject_messagebooleanOptionalDefaults to false

Provide users the ability to review/edit the template subject and message.

merge_fieldslist of objectsOptional

Add additional merge fields to the template, which can be used used to pre-fill data by passing values into signature requests made with that template.

Remove all merge fields on the template by passing an empty array [].

preview_onlybooleanOptionalDefaults to false

This allows the requester to enable the preview experience (i.e. does not allow the requester’s end user to add any additional fields via the editor).

NOTE: This parameter overwrites show_preview=true (if set).

show_previewbooleanOptionalDefaults to false

This allows the requester to enable the editor/preview experience.

show_progress_stepperbooleanOptionalDefaults to true

When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden.

test_modebooleanOptionalDefaults to false

Whether this is a test, locked templates will only be available for editing if this is set to true. Defaults to false.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
embeddedobject
An embedded template object.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error